org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class SnapshotMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.SnapshotMXBeanImpl

All Implemented Interfaces:
  SnapshotMXBean

    public class SnapshotMXBeanImpl
    extends Object
    implements SnapshotMXBean

Snapshot MBean features.

### Constructor Summary

Constructors
Constructor and Description
`SnapshotMXBeanImpl(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancelSnapshot(String snpName)` Cancel previously started snapshot operation on the node initiator.
`void` `cancelSnapshotOperation(String reqId)` Cancel previously started snapshot operation.
`void` `cancelSnapshotRestore(String name)` Cancel previously started snapshot restore operation.
`void` `createIncrementalSnapshot(String fullSnapshot, String fullSnapshotPath)` Create the cluster-wide incremental snapshot for the given full snapshot.
`void` `createSnapshot(String snpName, String snpPath)` Create the cluster-wide snapshot with given name asynchronously.
`void` `restoreSnapshot(String name, String path, String grpNames)` Restore cluster-wide snapshot.
`void` `restoreSnapshot(String name, String path, String grpNames, int incIdx)` Restore cluster-wide snapshot and its increments.
`String` `status()` Get the status of the current snapshot operation in the cluster.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotMXBeanImpl

    public SnapshotMXBeanImpl(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### createSnapshot

    public void createSnapshot(String snpName,
                               String snpPath)

Create the cluster-wide snapshot with given name asynchronously.

Specified by:
  `createSnapshot` in interface `SnapshotMXBean`
Parameters:
  `snpName` - Snapshot name to be created.
  `snpPath` - Snapshot directory path.
See Also:
  `(String)`

#### createIncrementalSnapshot

    public void createIncrementalSnapshot(String fullSnapshot,
                                          String fullSnapshotPath)

Create the cluster-wide incremental snapshot for the given full snapshot.

Specified by:
  `createIncrementalSnapshot` in interface `SnapshotMXBean`
Parameters:
  `fullSnapshot` - Full snapshot name to attach incremental snapshot to.
  `fullSnapshotPath` - Full snapshot directory path.
See Also:
  `IgniteSnapshot.createSnapshot(String)`, `IgniteSnapshot.createIncrementalSnapshot(String)`

#### cancelSnapshot

    public void cancelSnapshot(String snpName)

Cancel previously started snapshot operation on the node initiator.

Specified by:
  `cancelSnapshot` in interface `SnapshotMXBean`
Parameters:
  `snpName` - Snapshot name to cancel.

#### cancelSnapshotOperation

    public void cancelSnapshotOperation(String reqId)

Cancel previously started snapshot operation.

Specified by:
  `cancelSnapshotOperation` in interface `SnapshotMXBean`
Parameters:
  `reqId` - Snapshot operation request ID.

#### restoreSnapshot

    public void restoreSnapshot(String name,
                                String path,
                                String grpNames)

Restore cluster-wide snapshot.

Specified by:
  `restoreSnapshot` in interface `SnapshotMXBean`
Parameters:
  `name` - Snapshot name.
  `path` - Snapshot directory path.
  `grpNames` - Optional comma-separated list of cache group names.
See Also:
  `IgniteSnapshot.restoreSnapshot(String, Collection)`

#### restoreSnapshot

    public void restoreSnapshot(String name,
                                String path,
                                String grpNames,
                                int incIdx)

Restore cluster-wide snapshot and its increments. Snapshot is restored first and after that all increments are restored sequentially from the `1` to the specified `incIdx`.

Specified by:
  `restoreSnapshot` in interface `SnapshotMXBean`
Parameters:
  `name` - Snapshot name.
  `path` - Snapshot directory path.
  `grpNames` - Optional comma-separated list of cache group names.
  `incIdx` - Incremental snapshot index.
See Also:
  `IgniteSnapshot.restoreSnapshot(String, Collection)`

#### cancelSnapshotRestore

    public void cancelSnapshotRestore(String name)

Cancel previously started snapshot restore operation.

Specified by:
  `cancelSnapshotRestore` in interface `SnapshotMXBean`
Parameters:
  `name` - Snapshot name.
See Also:
  `IgniteSnapshot.cancelSnapshotRestore(String)`

#### status

    public String status()

Get the status of the current snapshot operation in the cluster.

Specified by:
  `status` in interface `SnapshotMXBean`
Returns:
  The status of a current snapshot operation in the cluster.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023